#!/bin/bash

STATE_OK=0
STATE_WARNING=1
STATE_CRITICAL=2
STATE_UNKNOWN=3
STATE_DEPENDENT=4


main ()
{
    tmpfile=$( mktemp -p /tmp )
    r=$?
    if [ $r -ne 0 ] 
    then 
        return $STATE_CRITICAL
    else
    	rm $tmpfile
    fi

    return $STATE_OK

}

main
exit $?
