#!/usr/bin/python

class SlurmStats:
    def __init__(self):
        self._values = {'backfill':1}


    def values(self):
        values = ",".join(["{}={}".format(key,value) for key,value in self._values.items()])
        return values


def print_stats(stats):
    print("slurmstats {}".format(stats.values()))

def get_stats():
    import subprocess
    p = subprocess.Popen(['sdiag'],stdout = subprocess.PIPE,stderr=subprocess.PIPE)
    (stdout,stderr) = p.communicate()
    for l in stdout.decode().splitlines():
        if "Total backfilled jobs (since last stats cycle start):" in l:
            v = l.split(':')[1]
    stats = SlurmStats()
    stats._values = {'backfill':int(v)}
    return stats

    

slurmstats = get_stats()
print_stats(slurmstats)

